diff --git a/src/main/java/net/minecraft/client/render/canvas/CanvasMojangLogo.java b/src/main/java/net/minecraft/client/render/canvas/CanvasMojangLogo.java
index f0ffac4a2..f6a000539 100644
--- a/src/main/java/net/minecraft/client/render/canvas/CanvasMojangLogo.java
+++ b/src/main/java/net/minecraft/client/render/canvas/CanvasMojangLogo.java
@@ -7,9 +7,6 @@ import java.awt.image.BufferedImage;
 import java.io.IOException;
 import javax.imageio.ImageIO;
 
-// Referenced classes of package net.minecraft.src:
-//            PanelCrashReport
-
 public class CanvasMojangLogo extends Canvas
 {
 
diff --git a/src/main/java/net/minecraft/client/render/colorizer/Colorizers.java b/src/main/java/net/minecraft/client/render/colorizer/Colorizers.java
index 8ee4b034c..47cd1d8a5 100644
--- a/src/main/java/net/minecraft/client/render/colorizer/Colorizers.java
+++ b/src/main/java/net/minecraft/client/render/colorizer/Colorizers.java
@@ -136,7 +136,7 @@ public class Colorizers {
 		}else if(seasonProgress < 0.5f) {
 			season1 = world.getSeasonManager().getPreviousSeason();
 			season2 = currentSeason;
-			blendFactor = seasonProgress + 0.5f; // 0.5 -> 1.0
+//			blendFactor = seasonProgress + 0.5f; // 0.5 -> 1.0
 			if(fadeDuration == 0.0f) {
 				blendFactor = 1.0f;
 			}else {
diff --git a/src/main/java/net/minecraft/client/render/culling/Frustum.java b/src/main/java/net/minecraft/client/render/culling/Frustum.java
index 31d990abb..a02e8e7df 100644
--- a/src/main/java/net/minecraft/client/render/culling/Frustum.java
+++ b/src/main/java/net/minecraft/client/render/culling/Frustum.java
@@ -6,9 +6,6 @@ import net.minecraft.core.util.helper.MathHelper;
 import net.minecraft.client.GLAllocation;
 import org.lwjgl.opengl.GL11;
 
-// Referenced classes of package net.minecraft.src:
-//            ClippingHelper, GLAllocation, MathHelper
-
 public class Frustum extends FrustumData
 {
     private static final Frustum FRUSTUM = new Frustum();
diff --git a/src/main/java/net/minecraft/client/render/customatlas/CustomAtlasHandler.java b/src/main/java/net/minecraft/client/render/customatlas/CustomAtlasHandler.java
index 8ba478553..86ba2cf65 100644
--- a/src/main/java/net/minecraft/client/render/customatlas/CustomAtlasHandler.java
+++ b/src/main/java/net/minecraft/client/render/customatlas/CustomAtlasHandler.java
@@ -16,7 +16,6 @@ import net.minecraft.client.render.texturepack.TexturePack;
 import net.minecraft.client.render.texturepack.TexturePackCustom;
 import net.minecraft.client.render.texturepack.TexturePackList;
 import net.minecraft.client.util.helper.Textures;
-import net.minecraft.core.Global;
 import org.slf4j.Logger;
 
 public class CustomAtlasHandler {
diff --git a/src/main/java/net/minecraft/client/render/dynamictexture/DynamicTexture.java b/src/main/java/net/minecraft/client/render/dynamictexture/DynamicTexture.java
index 05e8758cf..fa2fef768 100644
--- a/src/main/java/net/minecraft/client/render/dynamictexture/DynamicTexture.java
+++ b/src/main/java/net/minecraft/client/render/dynamictexture/DynamicTexture.java
@@ -29,7 +29,7 @@ public abstract class DynamicTexture {
 	
 	public static int pmod(int a, int b) {
 		while(a < 0) a += b;
-		return a %= b;
+		return a % b;
 	}
 	
 	public static void putPixel(byte[] array, int i, int color) {
diff --git a/src/main/java/net/minecraft/client/render/dynamictexture/DynamicTextureCustom.java b/src/main/java/net/minecraft/client/render/dynamictexture/DynamicTextureCustom.java
index f16e4bb50..db740a5af 100644
--- a/src/main/java/net/minecraft/client/render/dynamictexture/DynamicTextureCustom.java
+++ b/src/main/java/net/minecraft/client/render/dynamictexture/DynamicTextureCustom.java
@@ -26,7 +26,7 @@ public class DynamicTextureCustom extends DynamicTexture {
 	private int delayUntilNextFrame = 0;
 	private int frameLength = 0;
 
-	private boolean tickWhenPaused = false;
+	private final boolean tickWhenPaused;
 	
 	public DynamicTextureCustom(IconCoordinate texture, AnimationProperties animationProperties) {
 		super(texture);
diff --git a/src/main/java/net/minecraft/client/render/dynamictexture/DynamicTextureFire.java b/src/main/java/net/minecraft/client/render/dynamictexture/DynamicTextureFire.java
index 651969e94..efc511ab2 100644
--- a/src/main/java/net/minecraft/client/render/dynamictexture/DynamicTextureFire.java
+++ b/src/main/java/net/minecraft/client/render/dynamictexture/DynamicTextureFire.java
@@ -1,7 +1,6 @@
 package net.minecraft.client.render.dynamictexture;
 
 import net.minecraft.client.render.texture.stitcher.IconCoordinate;
-import net.minecraft.client.render.texture.stitcher.TextureRegistry;
 import org.jetbrains.annotations.NotNull;
 
 public class DynamicTextureFire extends DynamicTexture{
diff --git a/src/main/java/net/minecraft/client/render/dynamictexture/DynamicTextureLavaFlowing.java b/src/main/java/net/minecraft/client/render/dynamictexture/DynamicTextureLavaFlowing.java
index 1070dc1d8..b1e86648e 100644
--- a/src/main/java/net/minecraft/client/render/dynamictexture/DynamicTextureLavaFlowing.java
+++ b/src/main/java/net/minecraft/client/render/dynamictexture/DynamicTextureLavaFlowing.java
@@ -1,7 +1,6 @@
 package net.minecraft.client.render.dynamictexture;
 
 import net.minecraft.client.render.texture.stitcher.IconCoordinate;
-import net.minecraft.client.render.texture.stitcher.TextureRegistry;
 import net.minecraft.core.util.helper.MathHelper;
 import org.jetbrains.annotations.NotNull;
 
diff --git a/src/main/java/net/minecraft/client/render/dynamictexture/DynamicTextureLavaStill.java b/src/main/java/net/minecraft/client/render/dynamictexture/DynamicTextureLavaStill.java
index 04eb555ca..d909898f2 100644
--- a/src/main/java/net/minecraft/client/render/dynamictexture/DynamicTextureLavaStill.java
+++ b/src/main/java/net/minecraft/client/render/dynamictexture/DynamicTextureLavaStill.java
@@ -1,7 +1,6 @@
 package net.minecraft.client.render.dynamictexture;
 
 import net.minecraft.client.render.texture.stitcher.IconCoordinate;
-import net.minecraft.client.render.texture.stitcher.TextureRegistry;
 import net.minecraft.core.util.helper.MathHelper;
 import org.jetbrains.annotations.NotNull;
 
diff --git a/src/main/java/net/minecraft/client/render/dynamictexture/DynamicTexturePortal.java b/src/main/java/net/minecraft/client/render/dynamictexture/DynamicTexturePortal.java
index 20fa51499..9cd2e5bd7 100644
--- a/src/main/java/net/minecraft/client/render/dynamictexture/DynamicTexturePortal.java
+++ b/src/main/java/net/minecraft/client/render/dynamictexture/DynamicTexturePortal.java
@@ -6,7 +6,6 @@ import java.io.IOException;
 import java.util.Random;
 
 import net.minecraft.client.render.texture.stitcher.IconCoordinate;
-import net.minecraft.client.render.texture.stitcher.TextureRegistry;
 import net.minecraft.core.util.helper.Color;
 import net.minecraft.core.util.helper.MathHelper;
 
diff --git a/src/main/java/net/minecraft/client/render/dynamictexture/DynamicTextureWaterFlow.java b/src/main/java/net/minecraft/client/render/dynamictexture/DynamicTextureWaterFlow.java
index 55d1922e9..28fba470a 100644
--- a/src/main/java/net/minecraft/client/render/dynamictexture/DynamicTextureWaterFlow.java
+++ b/src/main/java/net/minecraft/client/render/dynamictexture/DynamicTextureWaterFlow.java
@@ -2,7 +2,6 @@ package net.minecraft.client.render.dynamictexture;
 
 import net.minecraft.client.Minecraft;
 import net.minecraft.client.render.texture.stitcher.IconCoordinate;
-import net.minecraft.client.render.texture.stitcher.TextureRegistry;
 import org.jetbrains.annotations.NotNull;
 
 public class DynamicTextureWaterFlow extends DynamicTexture {
diff --git a/src/main/java/net/minecraft/client/render/dynamictexture/DynamicTextureWaterStill.java b/src/main/java/net/minecraft/client/render/dynamictexture/DynamicTextureWaterStill.java
index 08ea118e0..ae7918a5b 100644
--- a/src/main/java/net/minecraft/client/render/dynamictexture/DynamicTextureWaterStill.java
+++ b/src/main/java/net/minecraft/client/render/dynamictexture/DynamicTextureWaterStill.java
@@ -2,7 +2,6 @@ package net.minecraft.client.render.dynamictexture;
 
 import net.minecraft.client.Minecraft;
 import net.minecraft.client.render.texture.stitcher.IconCoordinate;
-import net.minecraft.client.render.texture.stitcher.TextureRegistry;
 
 public class DynamicTextureWaterStill extends DynamicTexture {
 	
diff --git a/src/main/java/net/minecraft/client/render/entity/EntityRendererBoat.java b/src/main/java/net/minecraft/client/render/entity/EntityRendererBoat.java
index fce2fb450..41a0b7b7b 100644
--- a/src/main/java/net/minecraft/client/render/entity/EntityRendererBoat.java
+++ b/src/main/java/net/minecraft/client/render/entity/EntityRendererBoat.java
@@ -13,10 +13,6 @@ import net.minecraft.core.world.World;
 import net.minecraft.core.world.wind.WindProvider;
 import org.lwjgl.opengl.GL11;
 
-// Referenced classes of package net.minecraft.src:
-//            Render, ModelBoat, EntityBoat, MathHelper,
-//            ModelBase, Entity
-
 public class EntityRendererBoat extends EntityRenderer<EntityBoat>
 {
 	
diff --git a/src/main/java/net/minecraft/client/render/entity/EntityRendererCannonball.java b/src/main/java/net/minecraft/client/render/entity/EntityRendererCannonball.java
index af0cdb3cd..a4280e414 100644
--- a/src/main/java/net/minecraft/client/render/entity/EntityRendererCannonball.java
+++ b/src/main/java/net/minecraft/client/render/entity/EntityRendererCannonball.java
@@ -6,10 +6,6 @@ import net.minecraft.client.render.tessellator.Tessellator;
 import net.minecraft.core.entity.projectile.ProjectileCannonball;
 import org.lwjgl.opengl.GL11;
 
-// Referenced classes of package net.minecraft.src:
-//            Render, Tessellator, MathHelper,
-//            Entity
-
 public class EntityRendererCannonball extends EntityRenderer<ProjectileCannonball>
 {
 
diff --git a/src/main/java/net/minecraft/client/render/entity/EntityRendererDefault.java b/src/main/java/net/minecraft/client/render/entity/EntityRendererDefault.java
index 3e8a87123..76b04542b 100644
--- a/src/main/java/net/minecraft/client/render/entity/EntityRendererDefault.java
+++ b/src/main/java/net/minecraft/client/render/entity/EntityRendererDefault.java
@@ -4,9 +4,6 @@ import net.minecraft.client.render.tessellator.Tessellator;
 import net.minecraft.core.entity.Entity;
 import org.lwjgl.opengl.GL11;
 
-// Referenced classes of package net.minecraft.src:
-//            Render, Entity
-
 public class EntityRendererDefault extends EntityRenderer<Entity>
 {
     @Override
diff --git a/src/main/java/net/minecraft/client/render/entity/EntityRendererFallingBlock.java b/src/main/java/net/minecraft/client/render/entity/EntityRendererFallingBlock.java
index 65f561ae9..b798a9b5b 100644
--- a/src/main/java/net/minecraft/client/render/entity/EntityRendererFallingBlock.java
+++ b/src/main/java/net/minecraft/client/render/entity/EntityRendererFallingBlock.java
@@ -16,10 +16,6 @@ import net.minecraft.core.block.Block;
 import net.minecraft.core.util.helper.MathHelper;
 import org.lwjgl.opengl.GL11;
 
-// Referenced classes of package net.minecraft.src:
-//            Render, RenderBlocks, Block, EntityFallingBlock,
-//            MathHelper, Entity
-
 public class EntityRendererFallingBlock extends EntityRenderer<EntityFallingBlock>
 {
     private final Minecraft mc;
diff --git a/src/main/java/net/minecraft/client/render/entity/EntityRendererItem.java b/src/main/java/net/minecraft/client/render/entity/EntityRendererItem.java
index 91c1f506b..5ed089652 100644
--- a/src/main/java/net/minecraft/client/render/entity/EntityRendererItem.java
+++ b/src/main/java/net/minecraft/client/render/entity/EntityRendererItem.java
@@ -20,11 +20,6 @@ import org.lwjgl.opengl.GL12;
 
 import static org.lwjgl.opengl.GL11.glPushMatrix;
 
-// Referenced classes of package net.minecraft.src:
-//            Render, RenderBlocks, EntityItem, MathHelper,
-//            ItemStack, Block, Tessellator, Item,
-//            RenderManager, RenderEngine, FontRenderer, Entity
-
 public class EntityRendererItem extends EntityRenderer<EntityItem>
 {
 	public final RenderBlocks renderBlocks;
diff --git a/src/main/java/net/minecraft/client/render/entity/EntityRendererLightningBolt.java b/src/main/java/net/minecraft/client/render/entity/EntityRendererLightningBolt.java
index f23410764..24f68064b 100644
--- a/src/main/java/net/minecraft/client/render/entity/EntityRendererLightningBolt.java
+++ b/src/main/java/net/minecraft/client/render/entity/EntityRendererLightningBolt.java
@@ -6,9 +6,6 @@ import net.minecraft.client.render.tessellator.Tessellator;
 import net.minecraft.core.entity.EntityLightning;
 import org.lwjgl.opengl.GL11;
 
-// Referenced classes of package net.minecraft.src:
-//            Render, Tessellator, EntityLightning, Entity
-
 public class EntityRendererLightningBolt extends EntityRenderer<EntityLightning>
 {
 
diff --git a/src/main/java/net/minecraft/client/render/entity/EntityRendererSprite.java b/src/main/java/net/minecraft/client/render/entity/EntityRendererSprite.java
index 69bf63279..49a9c7666 100644
--- a/src/main/java/net/minecraft/client/render/entity/EntityRendererSprite.java
+++ b/src/main/java/net/minecraft/client/render/entity/EntityRendererSprite.java
@@ -9,9 +9,6 @@ import net.minecraft.core.item.Item;
 import org.lwjgl.opengl.GL11;
 import org.lwjgl.opengl.GL12;
 
-// Referenced classes of package net.minecraft.src:
-//            Render, Tessellator, RenderManager, Entity
-
 public class EntityRendererSprite<T extends Entity> extends EntityRenderer<T>
 {
     private IconCoordinate itemIconIndex;
diff --git a/src/main/java/net/minecraft/client/render/entity/EntityRendererTNT.java b/src/main/java/net/minecraft/client/render/entity/EntityRendererTNT.java
index 103ce9c37..d52cefa96 100644
--- a/src/main/java/net/minecraft/client/render/entity/EntityRendererTNT.java
+++ b/src/main/java/net/minecraft/client/render/entity/EntityRendererTNT.java
@@ -11,10 +11,6 @@ import net.minecraft.core.block.Block;
 import net.minecraft.core.block.Blocks;
 import org.lwjgl.opengl.GL11;
 
-// Referenced classes of package net.minecraft.src:
-//            Render, RenderBlocks, EntityTNTPrimed, Block, 
-//            Entity
-
 public class EntityRendererTNT extends EntityRenderer<EntityPrimedTNT>
 {
 
diff --git a/src/main/java/net/minecraft/client/render/entity/MobRendererBiped.java b/src/main/java/net/minecraft/client/render/entity/MobRendererBiped.java
index 076f45583..f3d769fac 100644
--- a/src/main/java/net/minecraft/client/render/entity/MobRendererBiped.java
+++ b/src/main/java/net/minecraft/client/render/entity/MobRendererBiped.java
@@ -7,11 +7,6 @@ import net.minecraft.core.entity.Mob;
 import net.minecraft.core.item.ItemStack;
 import org.lwjgl.opengl.GL11;
 
-// Referenced classes of package net.minecraft.src:
-//            RenderLiving, Mob, ModelBiped, ModelRenderer,
-//            ItemStack, Block, RenderBlocks, Item, 
-//            RenderManager, ItemRenderer
-
 public class MobRendererBiped<T extends Mob> extends MobRenderer<T>
 {
 
diff --git a/src/main/java/net/minecraft/client/render/entity/MobRendererChicken.java b/src/main/java/net/minecraft/client/render/entity/MobRendererChicken.java
index 4134c307c..76e39da41 100644
--- a/src/main/java/net/minecraft/client/render/entity/MobRendererChicken.java
+++ b/src/main/java/net/minecraft/client/render/entity/MobRendererChicken.java
@@ -1,10 +1,5 @@
 package net.minecraft.client.render.entity;
 
-
-// Referenced classes of package net.minecraft.src:
-//            RenderLiving, MobChicken, MathHelper, ModelBase,
-//            Mob, Entity
-
 import net.minecraft.client.render.model.ModelBase;
 import net.minecraft.core.entity.animal.MobChicken;
 import net.minecraft.core.util.helper.MathHelper;
diff --git a/src/main/java/net/minecraft/client/render/entity/MobRendererCreeper.java b/src/main/java/net/minecraft/client/render/entity/MobRendererCreeper.java
index 8112ba028..184944a4d 100644
--- a/src/main/java/net/minecraft/client/render/entity/MobRendererCreeper.java
+++ b/src/main/java/net/minecraft/client/render/entity/MobRendererCreeper.java
@@ -6,10 +6,6 @@ import net.minecraft.core.entity.monster.MobCreeper;
 import net.minecraft.core.util.helper.MathHelper;
 import org.lwjgl.opengl.GL11;
 
-// Referenced classes of package net.minecraft.src:
-//            RenderLiving, ModelCreeper, MobCreeper, MathHelper,
-//            ModelBase, Mob
-
 public class MobRendererCreeper extends MobRenderer<MobCreeper>
 {
     public MobRendererCreeper()
diff --git a/src/main/java/net/minecraft/client/render/entity/MobRendererGiant.java b/src/main/java/net/minecraft/client/render/entity/MobRendererGiant.java
index 97943c3f9..f618a656c 100644
--- a/src/main/java/net/minecraft/client/render/entity/MobRendererGiant.java
+++ b/src/main/java/net/minecraft/client/render/entity/MobRendererGiant.java
@@ -4,9 +4,6 @@ import net.minecraft.client.render.model.ModelBase;
 import net.minecraft.core.entity.monster.MobGiant;
 import org.lwjgl.opengl.GL11;
 
-// Referenced classes of package net.minecraft.src:
-//            RenderLiving, EntityGiantZombie, ModelBase, Mob
-
 public class MobRendererGiant extends MobRenderer<MobGiant>
 {
 
@@ -16,15 +13,10 @@ public class MobRendererGiant extends MobRenderer<MobGiant>
         scale = f1;
     }
 
-    protected void preRenderScale(MobGiant entity, float f)
-    {
-        GL11.glScalef(scale, scale, scale);
-    }
-
     @Override
     protected void setupScale(MobGiant entity, float partialTick)
     {
-        preRenderScale(entity, partialTick);
+        GL11.glScalef(scale, scale, scale);
     }
 
     private float scale;
diff --git a/src/main/java/net/minecraft/client/render/entity/MobRendererPig.java b/src/main/java/net/minecraft/client/render/entity/MobRendererPig.java
index b4d2a48f9..d0588eece 100644
--- a/src/main/java/net/minecraft/client/render/entity/MobRendererPig.java
+++ b/src/main/java/net/minecraft/client/render/entity/MobRendererPig.java
@@ -1,9 +1,5 @@
 package net.minecraft.client.render.entity;
 
-
-// Referenced classes of package net.minecraft.src:
-//            RenderLiving, MobPig, ModelBase, Mob
-
 import net.minecraft.client.render.model.ModelBase;
 import net.minecraft.core.entity.animal.MobPig;
 
diff --git a/src/main/java/net/minecraft/client/render/entity/MobRendererSheep.java b/src/main/java/net/minecraft/client/render/entity/MobRendererSheep.java
index f43118d01..3cda09d33 100644
--- a/src/main/java/net/minecraft/client/render/entity/MobRendererSheep.java
+++ b/src/main/java/net/minecraft/client/render/entity/MobRendererSheep.java
@@ -7,9 +7,6 @@ import org.lwjgl.opengl.GL11;
 import net.minecraft.client.render.LightmapHelper;
 import net.minecraft.core.Global;
 
-// Referenced classes of package net.minecraft.src:
-//            RenderLiving, MobSheep, ModelBase, Mob
-
 public class MobRendererSheep extends MobRenderer<MobSheep>
 {
     public MobRendererSheep(ModelBase body, ModelBase wool, ModelBase overlay, float f)
diff --git a/src/main/java/net/minecraft/client/render/entity/MobRendererSlime.java b/src/main/java/net/minecraft/client/render/entity/MobRendererSlime.java
index bcbd35a5e..bf97cf25d 100644
--- a/src/main/java/net/minecraft/client/render/entity/MobRendererSlime.java
+++ b/src/main/java/net/minecraft/client/render/entity/MobRendererSlime.java
@@ -4,9 +4,6 @@ import net.minecraft.client.render.model.ModelBase;
 import net.minecraft.core.entity.monster.MobSlime;
 import org.lwjgl.opengl.GL11;
 
-// Referenced classes of package net.minecraft.src:
-//            RenderLiving, MobSlime, ModelBase, Mob
-
 public class MobRendererSlime extends MobRenderer<MobSlime>
 {
 
diff --git a/src/main/java/net/minecraft/client/render/entity/MobRendererSpider.java b/src/main/java/net/minecraft/client/render/entity/MobRendererSpider.java
index 4b1a74fcc..45b6bff3a 100644
--- a/src/main/java/net/minecraft/client/render/entity/MobRendererSpider.java
+++ b/src/main/java/net/minecraft/client/render/entity/MobRendererSpider.java
@@ -5,9 +5,6 @@ import net.minecraft.client.render.model.ModelSpider;
 import net.minecraft.core.entity.monster.MobSpider;
 import org.lwjgl.opengl.GL11;
 
-// Referenced classes of package net.minecraft.src:
-//            RenderLiving, ModelSpider, MobSpider, Mob
-
 public class MobRendererSpider extends MobRenderer<MobSpider>
 {
 
diff --git a/src/main/java/net/minecraft/client/render/entity/MobRendererSquid.java b/src/main/java/net/minecraft/client/render/entity/MobRendererSquid.java
index 394451e20..10b6e5dfe 100644
--- a/src/main/java/net/minecraft/client/render/entity/MobRendererSquid.java
+++ b/src/main/java/net/minecraft/client/render/entity/MobRendererSquid.java
@@ -5,10 +5,6 @@ import net.minecraft.client.render.tessellator.Tessellator;
 import net.minecraft.core.entity.animal.MobSquid;
 import org.lwjgl.opengl.GL11;
 
-// Referenced classes of package net.minecraft.src:
-//            RenderLiving, MobSquid, ModelBase, Mob,
-//            Entity
-
 public class MobRendererSquid extends MobRenderer<MobSquid>
 {
     public MobRendererSquid(ModelBase modelbase, float f)
diff --git a/src/main/java/net/minecraft/client/render/model/Cube.java b/src/main/java/net/minecraft/client/render/model/Cube.java
index 9de2dcf52..8ba09a4be 100644
--- a/src/main/java/net/minecraft/client/render/model/Cube.java
+++ b/src/main/java/net/minecraft/client/render/model/Cube.java
@@ -6,9 +6,6 @@ import net.minecraft.client.render.tessellator.Tessellator;
 import net.minecraft.client.render.Polygon;
 import org.lwjgl.opengl.GL11;
 
-// Referenced classes of package net.minecraft.src:
-//            PositionTextureVertex, TexturedQuad, GLAllocation, Tessellator
-
 public class Cube
 {
     private Vertex[] vertices;
diff --git a/src/main/java/net/minecraft/client/render/model/ModelBiped.java b/src/main/java/net/minecraft/client/render/model/ModelBiped.java
index fc7abcc7e..eafc96b12 100644
--- a/src/main/java/net/minecraft/client/render/model/ModelBiped.java
+++ b/src/main/java/net/minecraft/client/render/model/ModelBiped.java
@@ -1,9 +1,5 @@
 package net.minecraft.client.render.model;
 
-
-// Referenced classes of package net.minecraft.src:
-//            ModelBase, ModelRenderer, MathHelper
-
 import net.minecraft.core.util.helper.MathHelper;
 
 public class ModelBiped extends ModelBase
diff --git a/src/main/java/net/minecraft/client/render/model/ModelBoat.java b/src/main/java/net/minecraft/client/render/model/ModelBoat.java
index 7c5fb9a3d..d4aab5c8b 100644
--- a/src/main/java/net/minecraft/client/render/model/ModelBoat.java
+++ b/src/main/java/net/minecraft/client/render/model/ModelBoat.java
@@ -1,9 +1,5 @@
 package net.minecraft.client.render.model;
 
-
-// Referenced classes of package net.minecraft.src:
-//            ModelBase, ModelRenderer
-
 import net.minecraft.core.util.helper.MathHelper;
 
 public class ModelBoat extends ModelBase
diff --git a/src/main/java/net/minecraft/client/render/model/ModelCannonball.java b/src/main/java/net/minecraft/client/render/model/ModelCannonball.java
index 6defaba13..0ecd1d5a5 100644
--- a/src/main/java/net/minecraft/client/render/model/ModelCannonball.java
+++ b/src/main/java/net/minecraft/client/render/model/ModelCannonball.java
@@ -1,9 +1,5 @@
 package net.minecraft.client.render.model;
 
-
-// Referenced classes of package net.minecraft.src:
-//            ModelBase, ModelRenderer
-
 public class ModelCannonball extends ModelBase
 {
 
diff --git a/src/main/java/net/minecraft/client/render/model/ModelChicken.java b/src/main/java/net/minecraft/client/render/model/ModelChicken.java
index b1d9d2a0c..25220c7fd 100644
--- a/src/main/java/net/minecraft/client/render/model/ModelChicken.java
+++ b/src/main/java/net/minecraft/client/render/model/ModelChicken.java
@@ -1,9 +1,5 @@
 package net.minecraft.client.render.model;
 
-
-// Referenced classes of package net.minecraft.src:
-//            ModelBase, ModelRenderer, MathHelper
-
 import net.minecraft.core.util.helper.MathHelper;
 
 public class ModelChicken extends ModelBase
diff --git a/src/main/java/net/minecraft/client/render/model/ModelCow.java b/src/main/java/net/minecraft/client/render/model/ModelCow.java
index b78ed52c9..87c5fc0eb 100644
--- a/src/main/java/net/minecraft/client/render/model/ModelCow.java
+++ b/src/main/java/net/minecraft/client/render/model/ModelCow.java
@@ -1,9 +1,5 @@
 package net.minecraft.client.render.model;
 
-
-// Referenced classes of package net.minecraft.src:
-//            ModelQuadruped, ModelRenderer
-
 import net.minecraft.core.util.helper.MathHelper;
 
 public class ModelCow extends ModelQuadruped
diff --git a/src/main/java/net/minecraft/client/render/model/ModelCreeper.java b/src/main/java/net/minecraft/client/render/model/ModelCreeper.java
index e86fefeb5..bfc1e5cb6 100644
--- a/src/main/java/net/minecraft/client/render/model/ModelCreeper.java
+++ b/src/main/java/net/minecraft/client/render/model/ModelCreeper.java
@@ -1,9 +1,5 @@
 package net.minecraft.client.render.model;
 
-
-// Referenced classes of package net.minecraft.src:
-//            ModelBase, ModelRenderer, MathHelper
-
 import net.minecraft.core.util.helper.MathHelper;
 
 public class ModelCreeper extends ModelBase
diff --git a/src/main/java/net/minecraft/client/render/model/ModelGhast.java b/src/main/java/net/minecraft/client/render/model/ModelGhast.java
index d71139133..e790acf0f 100644
--- a/src/main/java/net/minecraft/client/render/model/ModelGhast.java
+++ b/src/main/java/net/minecraft/client/render/model/ModelGhast.java
@@ -4,9 +4,6 @@ import net.minecraft.core.util.helper.MathHelper;
 
 import java.util.Random;
 
-// Referenced classes of package net.minecraft.src:
-//            ModelBase, ModelRenderer, MathHelper
-
 public class ModelGhast extends ModelBase
 {
 
diff --git a/src/main/java/net/minecraft/client/render/model/ModelMinecart.java b/src/main/java/net/minecraft/client/render/model/ModelMinecart.java
index f02f6b282..22c59dd25 100644
--- a/src/main/java/net/minecraft/client/render/model/ModelMinecart.java
+++ b/src/main/java/net/minecraft/client/render/model/ModelMinecart.java
@@ -1,9 +1,5 @@
 package net.minecraft.client.render.model;
 
-
-// Referenced classes of package net.minecraft.src:
-//            ModelBase, ModelRenderer
-
 import net.minecraft.core.util.helper.MathHelper;
 
 public class ModelMinecart extends ModelBase
diff --git a/src/main/java/net/minecraft/client/render/model/ModelPig.java b/src/main/java/net/minecraft/client/render/model/ModelPig.java
index d5017e0a7..e27fb305f 100644
--- a/src/main/java/net/minecraft/client/render/model/ModelPig.java
+++ b/src/main/java/net/minecraft/client/render/model/ModelPig.java
@@ -1,9 +1,5 @@
 package net.minecraft.client.render.model;
 
-
-// Referenced classes of package net.minecraft.src:
-//            ModelQuadruped
-
 public class ModelPig extends ModelQuadruped
 {
 
diff --git a/src/main/java/net/minecraft/client/render/model/ModelQuadruped.java b/src/main/java/net/minecraft/client/render/model/ModelQuadruped.java
index 6e8bc6733..0c37640c4 100644
--- a/src/main/java/net/minecraft/client/render/model/ModelQuadruped.java
+++ b/src/main/java/net/minecraft/client/render/model/ModelQuadruped.java
@@ -1,9 +1,5 @@
 package net.minecraft.client.render.model;
 
-
-// Referenced classes of package net.minecraft.src:
-//            ModelBase, ModelRenderer, MathHelper
-
 import net.minecraft.core.util.helper.MathHelper;
 
 public class ModelQuadruped extends ModelBase
diff --git a/src/main/java/net/minecraft/client/render/model/ModelSheep.java b/src/main/java/net/minecraft/client/render/model/ModelSheep.java
index eaf5889b6..c47acc326 100644
--- a/src/main/java/net/minecraft/client/render/model/ModelSheep.java
+++ b/src/main/java/net/minecraft/client/render/model/ModelSheep.java
@@ -1,9 +1,5 @@
 package net.minecraft.client.render.model;
 
-
-// Referenced classes of package net.minecraft.src:
-//            ModelQuadruped, ModelRenderer
-
 import net.minecraft.core.entity.Mob;
 import net.minecraft.core.entity.animal.MobSheep;
 import net.minecraft.core.util.helper.MathHelper;
diff --git a/src/main/java/net/minecraft/client/render/model/ModelSheepOverlay.java b/src/main/java/net/minecraft/client/render/model/ModelSheepOverlay.java
index a3b63114f..d8650285d 100644
--- a/src/main/java/net/minecraft/client/render/model/ModelSheepOverlay.java
+++ b/src/main/java/net/minecraft/client/render/model/ModelSheepOverlay.java
@@ -1,9 +1,5 @@
 package net.minecraft.client.render.model;
 
-
-// Referenced classes of package net.minecraft.src:
-//            ModelQuadruped, ModelRenderer
-
 import net.minecraft.client.render.LightmapHelper;
 import net.minecraft.core.Global;
 import net.minecraft.core.entity.Mob;
diff --git a/src/main/java/net/minecraft/client/render/model/ModelSheepWool.java b/src/main/java/net/minecraft/client/render/model/ModelSheepWool.java
index f71921810..1a7d667ff 100644
--- a/src/main/java/net/minecraft/client/render/model/ModelSheepWool.java
+++ b/src/main/java/net/minecraft/client/render/model/ModelSheepWool.java
@@ -1,9 +1,5 @@
 package net.minecraft.client.render.model;
 
-
-// Referenced classes of package net.minecraft.src:
-//            ModelQuadruped, ModelRenderer
-
 public class ModelSheepWool extends ModelSheep
 {
 
diff --git a/src/main/java/net/minecraft/client/render/model/ModelSign.java b/src/main/java/net/minecraft/client/render/model/ModelSign.java
index d5bfce78f..c1c78edf7 100644
--- a/src/main/java/net/minecraft/client/render/model/ModelSign.java
+++ b/src/main/java/net/minecraft/client/render/model/ModelSign.java
@@ -1,9 +1,5 @@
 package net.minecraft.client.render.model;
 
-
-// Referenced classes of package net.minecraft.src:
-//            ModelRenderer
-
 public class ModelSign
 {
 
diff --git a/src/main/java/net/minecraft/client/render/model/ModelSkeleton.java b/src/main/java/net/minecraft/client/render/model/ModelSkeleton.java
index 5f14c77f6..975fad5cd 100644
--- a/src/main/java/net/minecraft/client/render/model/ModelSkeleton.java
+++ b/src/main/java/net/minecraft/client/render/model/ModelSkeleton.java
@@ -1,9 +1,5 @@
 package net.minecraft.client.render.model;
 
-
-// Referenced classes of package net.minecraft.src:
-//            ModelZombie, ModelRenderer
-
 public class ModelSkeleton extends ModelZombie
 {
 
diff --git a/src/main/java/net/minecraft/client/render/model/ModelSlime.java b/src/main/java/net/minecraft/client/render/model/ModelSlime.java
index 6f21a48e8..8904a454b 100644
--- a/src/main/java/net/minecraft/client/render/model/ModelSlime.java
+++ b/src/main/java/net/minecraft/client/render/model/ModelSlime.java
@@ -1,9 +1,5 @@
 package net.minecraft.client.render.model;
 
-
-// Referenced classes of package net.minecraft.src:
-//            ModelBase, ModelRenderer
-
 public class ModelSlime extends ModelBase
 {
 
diff --git a/src/main/java/net/minecraft/client/render/model/ModelSpider.java b/src/main/java/net/minecraft/client/render/model/ModelSpider.java
index 90a48e53a..a24a75cc6 100644
--- a/src/main/java/net/minecraft/client/render/model/ModelSpider.java
+++ b/src/main/java/net/minecraft/client/render/model/ModelSpider.java
@@ -1,9 +1,5 @@
 package net.minecraft.client.render.model;
 
-
-// Referenced classes of package net.minecraft.src:
-//            ModelBase, ModelRenderer, MathHelper
-
 import net.minecraft.core.util.helper.MathHelper;
 
 public class ModelSpider extends ModelBase
diff --git a/src/main/java/net/minecraft/client/render/model/ModelSquid.java b/src/main/java/net/minecraft/client/render/model/ModelSquid.java
index f80a81968..5b9f4a919 100644
--- a/src/main/java/net/minecraft/client/render/model/ModelSquid.java
+++ b/src/main/java/net/minecraft/client/render/model/ModelSquid.java
@@ -1,9 +1,5 @@
 package net.minecraft.client.render.model;
 
-
-// Referenced classes of package net.minecraft.src:
-//            ModelBase, ModelRenderer
-
 public class ModelSquid extends ModelBase
 {
 
